library(agricolae)
library(vegan)

#DATA INPUT
setwd("D:/Dropbox/Papers/Traditional vegetables")
clim <- read.csv("spp_clean_tseav_clim.csv")

#STR
clim$countryCode <- as.character(clim$countryCode)
clim$name <- as.character(clim$name)
clim$bio12 <- as.numeric(clim$bio12)
clim$bio13 <- as.numeric(clim$bio14)
clim$bio14 <- as.numeric(clim$bio14)
clim$bio16 <- as.numeric(clim$bio16)
clim$bio17 <- as.numeric(clim$bio17)
clim$bio18 <- as.numeric(clim$bio18)
clim$bio19 <- as.numeric(clim$bio19)

taxa <- unique(clim$name) 

#Asian countries
asean <- c("PA","IN","NP","BT","CN","BD","MM","LA","VN","TW","TH","MY",
"HK","BH","SG","KH","ID","PG","PH","JP","KP","KR")

clim_asean <- data.frame()

for (i in 1:length(asean)){
print(i)
kk <- subset(clim,clim["countryCode"] == asean[i])
clim_asean <- rbind(kk,clim_asean)
}

clim_asean <- subset(clim_asean,!is.na(clim_asean[,9]))
clim_asean1 <- subset(clim_asean,!is.na(clim_asean[,9]))

clim_asean

#rank climate
for(i in 9:27) {clim_asean1 [,i] <- rank(clim_asean[,i])}

bio1_aov <- aov(bio1 ~ name , clim_asean1)
bio8_aov <- aov(bio8 ~ name , clim_asean1)
bio12_aov <- aov(bio12 ~ name , clim_asean1)
bio16_aov <- aov(bio16 ~ name , clim_asean1)

bio1_hsd <- HSD.test(bio1_aov, trt = 'name')
write.csv(bio1_hsd[[5]],"clim_asean_bio1.csv")

bio8_hsd <- HSD.test(bio8_aov, trt = 'name')
write.csv(bio8_hsd[[5]],"clim_asean_bio8.csv")


bio12_hsd <- HSD.test(bio12_aov, trt = 'name')
write.csv(bio12_hsd[[5]],"clim_asean_bio12.csv")


bio16_hsd <- HSD.test(bio16_aov, trt = 'name')
write.csv(bio16_hsd[[5]],"clim_asean_bio16.csv")


for (i in 1:length(taxa)){
n  <-  subset(clim_asean,name==taxa[[i]])
cbind(n["name"],n[9:27])
}
  
  
clim_asean_rda <- rda(clim_asean[,9:27],scale=T)
biplot(clim_asean_rda)
data.pca <- princomp(clim_asean[,9:27])
plot()
summary(data.pca, loadings=TRUE)
scale(clim_asean[,-1], center = data.pca$center, scale = data.pca$scale) %*% data.pca$loadings
length(data.pca$scores[,1])
